# Poco::Net

# class NoAddressFoundException

Library: Net
Package: NetCore
Header: Poco/Net/NetException.h

## Inheritance

Direct Base Classes: DNSException

All Base Classes: Poco::Exception, Poco::IOException, DNSException, NetException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### NoAddressFoundException

NoAddressFoundException(
int code = 0
);

### NoAddressFoundException

NoAddressFoundException(
const NoAddressFoundException & exc
);

### NoAddressFoundException

NoAddressFoundException(
const std::string & msg,
int code = 0
);

### NoAddressFoundException

NoAddressFoundException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### NoAddressFoundException

NoAddressFoundException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~NoAddressFoundException

~NoAddressFoundException();

## Member Functions

### className

const char * className() const;

See also: Poco::Net::DNSException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const;

See also: Poco::Net::DNSException::name()

### operator =

NoAddressFoundException & operator = (
const NoAddressFoundException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Net::DNSException::rethrow()